What are the minimum system requirements you recommend?

One of the key reasons we designed our goggles to be compatible with a variety of machines is so you can use your existing laptop and not need an expensive and dedicated computer.  That being said, there are some minimum software and hardware requirements you should be aware of when choosing the computer with which you will use your infrared video goggles.

Hardware Requirements

  • Processor – i5 or better
  • Memory (RAM) – 8GB or more
  • Dedicated Video Card – Not necessary, but preferred

 

Operating System Compatibility

  • Windows
  • Apple
  • Linux
  • Ubuntu
  • Chrome OS*
  • Android*

* There are only a limited set of devices using these operating systems that meet the above hardware requirements, so support and functionality will be limited.

Software Compatibility

If you plan on using the recommended OBS software, please review the OBS Downloads page to confirm compatibility.

Note: Please note that our scene templates and many functionalities do not work with Windows 8 or 8.1.  OBS will end support for Windows 8/8.1 soon.

Note:  If your machine does not meet the above recommendations, you will run into issues with the refresh speed of the display being too slow, limited, multiple cameras not working, and OBS consuming >90% of the computer CPUs which will slow down all other applications.

If you are looking to purchase a new computer, view our laptop recommendations that we use to test and exhibit our goggles.  It’s a great laptop for a good value.